flutter_form_bloc 0.19.0

Flutter Android iOS

Create Beautiful Forms in Flutter. The easiest way to Prefill, Async Validation, Update Form Fields, and Show Progress, Failures or Navigate by Reacting to the Form State.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  flutter_form_bloc: ^0.19.0

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:flutter_form_bloc/flutter_form_bloc.dart';
81
likes
90
pub points
92%
popularity

Create Beautiful Forms in Flutter. The easiest way to Prefill, Async Validation, Update Form Fields, and Show Progress, Failures or Navigate by Reacting to the Form State.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

giancarlocode@gmail.com

Dependencies

bloc, collection, flutter, flutter_bloc, flutter_keyboard_visibility, form_bloc, intl, rxdart

More

Packages that depend on flutter_form_bloc